Bug 988818 - Review Request: rubygem-xmlhash - A small C module that wraps libxml2's xmlreader to parse a XML string into a ruby hash
Review Request: rubygem-xmlhash - A small C module that wraps libxml2's xmlre...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 09:27 EDT by Miroslav Suchý
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version: rubygem-xmlhash-1.3.5-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:37:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jstribny: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-07-26 09:27:19 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-xmlhash/rubygem-xmlhash.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-xmlhash/rubygem-xmlhash-1.3.5-4.fc19.src.rpm
Description: A small C module that wraps libxml2's xmlreader to parse a XML
string into a ruby hash.

Fedora Account System Username: msuchy
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5660052
Comment 1 Josef Stribny 2013-08-05 08:07:50 EDT
Taking.
Comment 2 Josef Stribny 2013-08-05 08:47:46 EDT
* Use %%gem_dir to escape macro in comment
  rubygem-xmlhash.spec:50: W: macro-in-comment %gem_dir

* Adjust summary
  rubygem-xmlhash.src: E: summary-too-long C A small C module that wraps libxml2's xmlreader to parse a XML string into a ruby hash

* Move %doc %{gem_instdir}/README.txt to the main package since it contains licensing information, ideally you could ask upstream to provide a separate license file.

* I believe that /ext files used to build the extension could be probably put into -doc subpackage for clarification.

* Run the test suite with:
  testrb -Ilib test/test_xmlhash.rb so the library is properly loaded and tests run.

Other than that I have no complains. It builds, installs and works in mock. Please fix the issues above.
Comment 3 Miroslav Suchý 2013-08-05 09:18:58 EDT
> * I believe that /ext files used to build the extension could be probably put into -doc subpackage for clarification.

I would rather keep it just in .src.rpm

Other items updated:

Spec URL: http://miroslav.suchy.cz/fedora/rubygem-xmlhash/rubygem-xmlhash.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-xmlhash/rubygem-xmlhash-1.3.5-5.fc19.src.rpm
Comment 4 Josef Stribny 2013-08-05 09:48:00 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5778895

APPROVING.
Comment 5 Miroslav Suchý 2013-08-05 09:58:48 EDT
New Package SCM Request
=======================
Package Name: rubygem-xmlhash
Short Description: A small C module to parse a XML string into a ruby hash
Owners: msuchy
Branches: f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-05 10:28:22 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-05 11:16:32 EDT
rubygem-xmlhash-1.3.5-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-xmlhash-1.3.5-5.fc19
Comment 8 Fedora Update System 2013-08-06 19:33:54 EDT
rubygem-xmlhash-1.3.5-5.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-08-14 22:37:01 EDT
rubygem-xmlhash-1.3.5-5.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.